
var s_GridView_CurrenPage='1';var xmlHttp;var xmlHttpGet;var tiaojian='';function GetXmlHttpObject(){var xmlHttpNew=null;try{xmlHttpNew=new XMLHttpRequest();}
catch(e){try{xmlHttpNew=new ActiveXObject("Msxml2.XMLHTTP");}
catch(e){xmlHttpNew=new ActiveXObject("Microsoft.XMLHTTP");}}
return xmlHttpNew;}
function addBookOK(){if(xmlHttp.readyState==4){if(xmlHttp.responseText.indexOf('错误')>=0){alert(xmlHttp.responseText);}
else{GuestBook();}}}
function GuestBook(Addressid){xmlHttpGet=GetXmlHttpObject();if(xmlHttpGet==null){alert("浏览器不支持 AJAX!");return;}
var url='index_Area.aspx';url=url+"?SID="+Math.random();url=url+"&page="+s_GridView_CurrenPage;url=url+"&Addressid="+Addressid;url=url+tiaojian;url=url.replace("undefined","");xmlHttpGet.onreadystatechange=BookGetOK;xmlHttpGet.open("GET",url,true);xmlHttpGet.send(null);}
function BookGetOK(){if(xmlHttpGet.readyState==4){var gustBookDiv=document.getElementById("middle3");gustBookDiv.innerHTML=xmlHttpGet.responseText;try
{var selObj=document.getElementById('PageNumber');var selObj1=document.getElementById('PageNumber1');selObj.options[s_GridView_CurrenPage-1].selected=true;selObj1.options[s_GridView_CurrenPage-1].selected=true;}
catch(err)
{}}}
function Paging(s_Param_PageNumber,Addressid,str){loadding();tiaojian=str;s_GridView_CurrenPage=s_Param_PageNumber;GuestBook(Addressid);}
function Pagpage(Addressid,str){loadding();tiaojian=str;s_GridView_CurrenPage=document.getElementById("PageNumber").options[document.getElementById("PageNumber").options.selectedIndex].value;GuestBook(Addressid);}
function Pagpage1(Addressid,str){loadding();tiaojian=str;s_GridView_CurrenPage=document.getElementById("PageNumber1").options[document.getElementById("PageNumber1").options.selectedIndex].value;GuestBook(Addressid);}
function ButtonSearch(Addressid){loadding();s_GridView_CurrenPage='1';var ddl=document.getElementById("language");var index=ddl.selectedIndex;var searchstr=document.getElementById("search").value;var account=document.getElementById("zhanghu").value;tiaojian="&search="+searchstr+"&lang="+ddl.options[index].value+"&account="+account+"";GuestBook(Addressid);}